import {Route, Routes, Outlet, Navigate} from 'react-router-dom'
import {PageLink, PageTitle} from '../../../../_metronic/layout/core'
import { OrganisationsListWrapper } from './object-list/OrganisationsList'

const organisationsBreadcrumbs: Array<PageLink> = [
  {
    title: 'Organisation Management',
    path: '/apps/management/organisations/all/*',
    isSeparator: false,
    isActive: false,
  },
  {
    title: '',
    path: '',
    isSeparator: true,
    isActive: false,
  },
]

const OrganisationsPage = () => {
  return (
    <Routes>
      <Route element={<Outlet />}>
        <Route
          path='all/:page'
          element={
            <>
              <PageTitle breadcrumbs={organisationsBreadcrumbs}>Organisationer</PageTitle>
              <OrganisationsListWrapper />
            </>
          }
        />
      </Route>
      <Route index element={<Navigate to='/apps/management/organisations/' />} />
    </Routes>
  )
}

export default OrganisationsPage
